Snow Leopardインストール


箱根から戻り、Snow Leopardをアップグレードインストールする。Xcodeもインストールし、ディスク容量は20GBぐらい増加した。

MacPortsは1.8.0がリリースされ、アップグレードするとGTK2のアップグレードで次のようなエラーメッセージが表示された。

Command output: /usr/bin/gcc-4.2 -L/opt/local/lib -u _PyMac_Error Python.framework/Versions/2.6/Python -o python.exe \
			Modules/python.o \
			 -ldl
ld: warning: in Python.framework/Versions/2.6/Python, file is not of required architecture
Undefined symbols:
  "_PyMac_Error", referenced from:
  "_Py_Main", referenced from:
      _main in python.o
ld: symbol(s) not found
collect2: ld returned 1 exit status
make: *** [python.exe] Error 1

Error: Status 1 encountered during processing.

そこでPython2.6をインストールしようとしても同じエラーが表示され、うまくいかない。GTK2が関係しないパッケージは普通にインストールできる。

,

  1. #1 by なる on 2009/08/30 - 00:10

    私もインストールしました。
    動作がだいぶ軽くなってますね。
    いやー快適

    私もトラブルありました。

    ・ロジクールのマウス用ユーティリティのインストールがバージョンチェックのせいで出来ない—インストーラの中のmpkgファイルを直接実行で解決。

    ・メニューバーに出してたCPUとかメモリ関連の使用率が出せない。
    これは解決してません。出せました?

    他はこれといって問題は無いです。
    Macports入れるの忘れてた、後で入れてみます。

  2. #2 by kazuhisa on 2009/08/30 - 15:28

    軽くなったかは実感できていませんね。
    >・メニューバーに出してたCPUとかメモリ関連の使用率が出せない。
    MenuMeterは今使っていないので分かりません。

(will not be published)


%d人のブロガーが「いいね」をつけました。